import { jsx } from "react/jsx-runtime";
import { TokenKUB as TokenKUB$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenKUB = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "KUB", "data-name": "TokenKUB", ...props, children: /* @__PURE__ */ jsx(TokenKUB$1, { variant }) });
  }
);
TokenKUB.displayName = "TokenKUB";
Object.assign(TokenKUB, { isGdsIcon: true });
export {
  TokenKUB
};
